
Name:		qink
Summary:	Qt4 printer ink level utility monitor
Summary(de):	In Qt4 geschriebene Tintenstandsanzeige. 
License:	GPL
Group:		Publishing
URL:		https://launchpad.net/qink
Version:	0.3.5
Release:	%mkrel 1
Source0:	https://launchpad.net/qink/0.3/%version/+download/%{name}-%{version}.tar.xz
Patch0:		qink-libinklevel-version.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	qt4-devel
BuildRequires:	libinklevel-devel
BuildRequires:	desktop-file-utils


%description
QInk is a simple printer ink level monitor based on libinklevel (http://libinklevel.sourceforge.net).

%description -l de
QInk ist ein einfacher Tintenfüllstands-Monitor basierend auf libinklevel (http://libinklevel.sourceforge.net).

%prep
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p0

%build
./configure --qtdir=%{_libdir}/qt4 --prefix=/usr --datadir=%{_datadir} --bindir=%{_bindir} \
            --with-libinklevel-lib=%{_libdir} --with-libinklevel-inc=%{_includedir}
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" %make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

rm -rf %{buildroot}/usr/share/doc/qink/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=QInk
Exec=%{name}
Icon=%{_datadir}/pixmaps/%{name}.png
Type=Application
Terminal=false
Comment[de]=Ein Werkzeug zur Anzeige des Tintenstands.
Comment=QInk ink level monitor
Categories=Qt;KDE;Utility;X-MandrivaLinux-System-Monitoring;
EOF

desktop-file-install \
   --vendor="" \
   --dir %{buildroot}/%{_datadir}/applications \
   %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
%{update_menus}

%postun
%{clean_menus}


%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS THANKS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*

%changelog
* Mon Apr 06 2015 ghostbunny <ghostbunny at gmx dot de> 0.3.5-1pclos2015
- 0.3.5
- add missing BR desktop-file-utils
- add German summary and fix German comment in desktop file
- rename spec to pclos-qink.spec
- update urls project is now hosted on launchpad
- use xz compression for source
- add patch0

* Thu Jan 30 2008 maik3531 <maik3531@web.de> 0.3.4-1pclos2007
- initial package for PCLinuxOS
